std::regex_traits< _Ch_type >(3)

NAME
std::regex_traits< _Ch_type > - Describes aspects of a regular expression.

SYNOPSIS

  Public Types
typedef _RegexMask char_class_type
typedef _Ch_type char_type
typedef std::locale locale_type
typedef std::basic_string< char_type > string_type

  Public Member Functions
regex_traits ()
Constructs a default traits object.
locale_type getloc () const
Gets a copy of the current locale in use by the regex_traits object.
locale_type imbue (locale_type __loc)
Imbues the regex_traits object with a copy of a new locale.
bool isctype (_Ch_type __c, char_class_type __f) const
Determines if c is a member of an identified class.
template<typename _Fwd_iter > char_class_type lookup_classname (_Fwd_iter __first, _Fwd_iter __last, bool __icase=false) const
Maps one or more characters to a named character classification.
template<typename _Fwd_iter > string_type lookup_collatename (_Fwd_iter __first, _Fwd_iter __last) const
Gets a collation element by name.
template<typename _Fwd_iter > string_type transform (_Fwd_iter __first, _Fwd_iter __last) const
Gets a sort key for a character sequence.
template<typename _Fwd_iter > string_type transform_primary (_Fwd_iter __first, _Fwd_iter __last) const
Gets a sort key for a character sequence, independent of case.
char_type translate (char_type __c) const
Performs the identity translation.
char_type translate_nocase (char_type __c) const
Translates a character into a case-insensitive equivalent.
int value (_Ch_type __ch, int __radix) const
Converts a digit to an int.

  Static Public Member Functions
static std::size_t length (const char_type *__p)
Gives the length of a C-style string starting at __p.

  Protected Attributes
locale_type _M_locale

Detailed Description

  template<typename _Ch_type>
class std::regex_traits< _Ch_type >" Describes aspects of a regular expression. A regular expression traits class that satisfies the requirements of section [28.7].

The class regex is parameterized around a set of related types and functions used to complete the definition of its semantics. This class satisfies the requirements of such a traits class.

Definition at line 80 of file regex.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.